Skip to content

Get consents

Request

Get all consent associated with a borrower.

Security
oauth2(Required scopes: consent:list) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

GET
/people/{personId}/consents
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/consents' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Total number of items in this result.

statusinteger

HTTP status code.

dataArray of objects(Consents)
Response
{ "count": 0, "status": 0, "data": [ { … } ] }